> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vocalistic.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Retention



## OpenAPI

````yaml /api-reference/openapi.json put /v1/organization/data-retention
openapi: 3.1.0
info:
  description: ''
  title: Vocalistic API
  version: 1.0.0
servers:
  - url: https://api.vocalistic.ai
security: []
paths:
  /v1/organization/data-retention:
    put:
      tags:
        - Logs
      summary: Put Retention
      operationId: apps_logs_api_put_retention
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Retention'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Retention'
          description: OK
      security:
        - ApiKeyAuth: []
        - UserSessionAuth: []
components:
  schemas:
    Retention:
      properties:
        retention_days:
          enum:
            - 0
            - 1
            - 7
            - 30
            - 90
          title: Retention Days
          type: integer
      required:
        - retention_days
      title: Retention
      type: object

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.